Print Friendly

# Class YAHOO.ext.SplitBar.AbsoluteLayoutAdapter

Package: | YAHOO.ext
Class: | SplitBar.AbsoluteLayoutAdapter
Extends: | SplitBar.BasicLayoutAdapter
Defined In: | SplitBar.js

Adapter that moves the splitter element to align with the resized sizing element. Used with an absolute positioned SplitBar.

## Public Properties

Property | Defined By
--- | ---
| BOTTOM<static> : Number | SplitBar.AbsoluteLayoutAdapter
<static> Placement constant - The resizing element is positioned under splitter element
| HORIZONTAL<static> : Number | SplitBar.AbsoluteLayoutAdapter
<static> Orientation constant - Create a horizontal SplitBar
| LEFT<static> : Number | SplitBar.AbsoluteLayoutAdapter
<static> Placement constant - The resizing element is to the left of the splitter element
| RIGHT<static> : Number | SplitBar.AbsoluteLayoutAdapter
<static> Placement constant - The resizing element is to the right of the splitter element
| TOP<static> : Number | SplitBar.AbsoluteLayoutAdapter
<static> Placement constant - The resizing element is positioned above the splitter element
| VERTICAL<static> : Number | SplitBar.AbsoluteLayoutAdapter
<static> Orientation constant - Create a vertical SplitBar

## Public Methods

Method | Defined By
--- | ---
| getElementSize(`YAHOO.ext.SplitBar s`) : void | SplitBar.BasicLayoutAdapter
Called before drag operations to get the current size of the resizing element.
| setElementSize(`YAHOO.ext.SplitBar s`, `Number newSize`, `Function onComplete`) : void | SplitBar.BasicLayoutAdapter
Called after drag operations to set the size of the resizing element.

## Public Events

This class has no public events.

## Property Details

### BOTTOM<static>

`public Number BOTTOM<static>`
<static> Placement constant - The resizing element is positioned under splitter element
This property is defined by SplitBar.AbsoluteLayoutAdapter.

### HORIZONTAL<static>

`public Number HORIZONTAL<static>`
<static> Orientation constant - Create a horizontal SplitBar
This property is defined by SplitBar.AbsoluteLayoutAdapter.

### LEFT<static>

`public Number LEFT<static>`
<static> Placement constant - The resizing element is to the left of the splitter element
This property is defined by SplitBar.AbsoluteLayoutAdapter.

### RIGHT<static>

`public Number RIGHT<static>`
<static> Placement constant - The resizing element is to the right of the splitter element
This property is defined by SplitBar.AbsoluteLayoutAdapter.

### TOP<static>

`public Number TOP<static>`
<static> Placement constant - The resizing element is positioned above the splitter element
This property is defined by SplitBar.AbsoluteLayoutAdapter.

### VERTICAL<static>

`public Number VERTICAL<static>`
<static> Orientation constant - Create a vertical SplitBar
This property is defined by SplitBar.AbsoluteLayoutAdapter.

## Method Details

### getElementSize

`public function getElementSize(`YAHOO.ext.SplitBar s`)`
Called before drag operations to get the current size of the resizing element.
Parameters:

- `s` : YAHOO.ext.SplitBar
  The SplitBar using this adapter

Returns:

- `void`

This method is defined by SplitBar.BasicLayoutAdapter.

### setElementSize

`public function setElementSize(`YAHOO.ext.SplitBar s`, `Number newSize`, `Function onComplete`)`
Called after drag operations to set the size of the resizing element.
Parameters:

- `s` : YAHOO.ext.SplitBar
  The SplitBar using this adapter
- `newSize` : Number
  The new size to set
- `onComplete` : Function
  A function to be invoke when resizing is complete

Returns:

- `void`

This method is defined by SplitBar.BasicLayoutAdapter.

Copyright © 2006 Jack Slocum. All rights reserved.